import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { SortOrderSchema } from '../enums/SortOrder.schema'

const makeSchema = () => z.object({
  id: SortOrderSchema.optional(),
  patientId: SortOrderSchema.optional(),
  userId: SortOrderSchema.optional()
}).strict();
export const PatientConversationSumOrderByAggregateInputObjectSchema: z.ZodType<Prisma.PatientConversationSumOrderByAggregateInput> = makeSchema() as unknown as z.ZodType<Prisma.PatientConversationSumOrderByAggregateInput>;
export const PatientConversationSumOrderByAggregateInputObjectZodSchema = makeSchema();
